import { getHuntMode } from "./huntmode.ts";
import { getHud } from "./hud.ts";

export class Gameplay {
  update() {
    getHuntMode().update();
    getHud().update();
  }

  draw() {
    getHuntMode().draw();
    getHud().draw();
  }

  get blocksHud(): boolean {
    return false;
  }
}

let active = new Gameplay();
export function getGameplay(): Gameplay {
  return active;
}
