import audBite from "./art/sounds/bite.mp3";
import audCollect from "./art/sounds/collect.mp3";
import audDeath from "./art/sounds/death.mp3";
import audDig from "./art/sounds/dig.mp3";
import audEnding from "./art/sounds/ending.mp3";
import audRecruit from "./art/sounds/recruit.mp3";
import audRewardBig from "./art/sounds/reward_big.mp3";
import audRewardHuge from "./art/sounds/reward_huge.mp3";
import audRewardMedium from "./art/sounds/reward_medium.mp3";
import audRewardSmall from "./art/sounds/reward_small.mp3";
import audSilence from "./art/sounds/silence.mp3";
import audSleep from "./art/sounds/sleep.mp3";
import audVnBat from "./art/sounds/vn_bat.mp3";
import audVnBreath from "./art/sounds/vn_breath.mp3";
import audVnDance from "./art/sounds/vn_dance.mp3";
import audVnDoorbell from "./art/sounds/vn_doorbell.mp3";
import audVnGhost from "./art/sounds/vn_ghost.mp3";
import audVnPage from "./art/sounds/vn_page.mp3";
import audVnPhone from "./art/sounds/vn_phone.mp3";
import { Sound } from "./sound.ts";

export let sndBite = new Sound(audBite);
export let sndCollect = new Sound(audCollect);
export let sndDeath = new Sound(audDeath);
export let sndDig = new Sound(audDig);
export let sndEnding = new Sound(audEnding);
export let sndRecruit = new Sound(audRecruit);
export let sndRewardBig = new Sound(audRewardBig);
export let sndRewardHuge = new Sound(audRewardHuge);
export let sndRewardMedium = new Sound(audRewardMedium);
export let sndRewardSmall = new Sound(audRewardSmall);
export let sndSilence = new Sound(audSilence);
export let sndSleep = new Sound(audSleep);
export let sndVnBat = new Sound(audVnBat);
export let sndVnBreath = new Sound(audVnBreath);
export let sndVnDance = new Sound(audVnDance);
export let sndVnDoorbell = new Sound(audVnDoorbell);
export let sndVnGhost = new Sound(audVnGhost);
export let sndVnPage = new Sound(audVnPage);
export let sndVnPhone = new Sound(audVnPhone);

export function sndRewardFor(amount: number) {
  if (amount <= 1) {
    return sndRewardSmall;
  }
  if (amount <= 2) {
    return sndRewardMedium;
  }
  if (amount <= 3) {
    return sndRewardBig;
  }
  return sndRewardHuge;
}
